Page 2 of 2 FirstFirst 12
Results 11 to 13 of 13

Thread: Qgis Leap 15.0

  1. #11
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,646
    Blog Entries
    14

    Default Re: Qgis Leap 15.0

    Een vraag: Welke Postgresql verwacht Qgis?
    Ik vraag 't omdat mijn ( aangepaste ) akonadi ( kmail etc ) postgresql96 verwacht, terwijl in TW postgresql10 ( of zelfs 11 ) verwacht wordt. Ik moest daarvoor update-alternatives gebruiken om de juiste versie te 'zetten'. Zou de postgresql versie het probleem kunnen zijn ?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  2. #12
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    147

    Default Re: Qgis Leap 15.0

    Voor zover ik kan zien heeft QGIS (nog) geen postgresql nodig, het enige wat bij mij geïnstalleerd is is:

    Code:
    > sudo zypper se postgresql | grep '^i'
    i | libQt5Sql5-postgresql        | Qt 5 PostgreSQL plugin         | package
    Ook in de log, zie http://susepaste.org/30165896 zie ik (nog) geen postgresql voorbij komen.

    Zowel de stack dump als een valgrind log laten zien dat het probleem wordt getriggerd in libgdal, valgrind is daar zeer duidelijk over:

    Code:
    ==32040== Jump to the invalid address stated on the next line
    ==32040==    at 0x415854A640000000: ???
    ==32040==    by 0x8A0BE5B: OCTProj4NormalizeInternal(char const*) (ogrct.cpp:369)
    ==32040==    by 0x8A0CE53: OCTProj4Normalize (ogrct.cpp:400)
    ==32040==    by 0x89FC70E: OGRSpatialReference::importFromProj4(char const*) (ogr_srs_proj4.cpp:512)
    ==32040==    by 0x647AD21: QgsCoordinateReferenceSystem::setProj4String(QString const&) (qgscoordinatereferencesystem.cpp:1128)
    ==32040==    by 0x647DFD4: QgsCoordinateReferenceSystem::createFromProj4(QString const&) (qgscoordinatereferencesystem.cpp:849)
    ==32040==    by 0x647EA6B: QgsCoordinateReferenceSystem::fromProj4(QString const&) (qgscoordinatereferencesystem.cpp:171)
    ==32040==    by 0x64D27FD: QgsEllipsoidUtils::ellipsoidParameters(QString const&) (qgsellipsoidutils.cpp:154)
    ==32040==    by 0x65A491A: QgsMapSettings::setEllipsoid(QString const&) (qgsmapsettings.cpp:311)
    ==32040==    by 0x59AA199: operator() (qgsmapcanvas.cpp:144)
    ==32040==    by 0x59AA199: call (qobjectdefs_impl.h:146)
    ==32040==    by 0x59AA199: call<QtPrivate::List<>, void> (qobjectdefs_impl.h:256)
    ==32040==    by 0x59AA199: QtPrivate::QFunctorSlotObject<QgsMapCanvas::QgsMapCanvas(QWidget*)::{lambda()#1}, 0, QtPrivate::List<>, void>::impl(int, QtPrivate::QSlotObjectBase*, QObject*, void**, bool*) (qobjectdefs_impl.h:439)
    ==32040==    by 0x7D3E342: QMetaObject::activate(QObject*, int, int, void**) (in /usr/lib64/libQt5Core.so.5.12.2)
    ==32040==    by 0x6A97F54: QgsProject::ellipsoidChanged(QString const&) (moc_qgsproject.cpp:944)
    ==32040==  Address 0x415854a640000000 is not stack'd, malloc'd or (recently) free'd
    Inmiddels zie ik op https://issues.qgis.org/issues/21781 dat het probleem te verhelpen zou moeten zijn door proj v6 te verwijderen en te vervangen door proj v5, toch libproj...

  3. #13
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    147

    Default Re: Qgis Leap 15.0

    Vandaag Tumbleweed bijgewerkt, zit nu op 20190411 en QGis werkt out-of-the-box zonder dat ik ook maar iets heb aangepast.



    Dat is een van de mooie dingen van Tumbleweed, de nieuwste software en problemen worden vaak snel opgelost.

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •